gr::gsm::burst_timeslot_filter Class Referenceabstract

<+description of block+> More...

`#include <burst_timeslot_filter.h>`

Inheritance diagram for gr::gsm::burst_timeslot_filter:

## Public Types

typedef std::shared_ptr< burst_timeslot_filter > | sptr

## Public Member Functions

virtual unsigned int | get_tn (void)=0
virtual unsigned int | set_tn (unsigned int tn)=0
virtual filter_policy | get_policy (void)=0
virtual filter_policy | set_policy (filter_policy policy)=0

## Static Public Member Functions

static sptr | make (unsigned int timeslot)
| Return a shared_ptr to a new instance of grgsm::burst_timeslot_filter.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<burst_timeslot_filter> gr::gsm::burst_timeslot_filter::sptr

## Member Function Documentation

## get_policy()

virtual filter_policy gr::gsm::burst_timeslot_filter::get_policy | ( | void |  | ) |

pure virtual

Implemented in gr::gsm::burst_timeslot_filter_impl.

## get_tn()

virtual unsigned int gr::gsm::burst_timeslot_filter::get_tn | ( | void |  | ) |

pure virtual

Implemented in gr::gsm::burst_timeslot_filter_impl.

## make()

sptr gr::gsm::burst_timeslot_filter::make | ( | unsigned int | timeslot | ) |

static

Return a shared_ptr to a new instance of grgsm::burst_timeslot_filter.

To avoid accidental use of raw pointers, grgsm::burst_timeslot_filter's constructor is in a private implementation class. grgsm::burst_timeslot_filter::make is the public interface for creating new instances.

## set_policy()

virtual filter_policy gr::gsm::burst_timeslot_filter::set_policy | ( | filter_policy | policy | ) |

pure virtual

Implemented in gr::gsm::burst_timeslot_filter_impl.

## set_tn()

virtual unsigned int gr::gsm::burst_timeslot_filter::set_tn | ( | unsigned int | tn | ) |

pure virtual

Implemented in gr::gsm::burst_timeslot_filter_impl.

The documentation for this class was generated from the following file:

- burst_timeslot_filter.h